### Method

# Gtk ConstraintLayout observe_constraints

#### Declaration [src]

    GListModel*
    gtk_constraint_layout_observe_constraints (
      GtkConstraintLayout* layout
    )

#### Description [src]

Returns a `GListModel` to track the constraints that are part of the layout.

Calling this function will enable extra internal bookkeeping to track constraints and emit signals on the returned listmodel. It may slow down operations a lot.

Applications should try hard to avoid calling this function because of the slowdowns.

#### Return value

Returns: | `GListModel*`
| A `GListModel` tracking the layout’s constraints.
| The caller of the function takes ownership of the data, and is responsible for freeing it.